﻿namespace Samples.BLL
{
    public interface ITestService
    {
        Task<decimal> GetBalanceAsync(long userId);
        Task<string> JoinGroup(string diagnosis, string operation, string 实际入组, string 期望入组);
    }
    public class TestService : ITestService
    {
        private readonly IUserService _service;

        public TestService(IUserService service)
        {
            _service = service;
        }

        public Task<decimal> GetBalanceAsync(long userId)
        {
            var user = _service.Get(userId);
            if (user.UserId > 100)
                return Task.FromResult(10000m);
            return Task.FromResult(200m);
        }

        public Task<string> JoinGroup(string diagnosis, string operation, string 实际入组, string 期望入组)
        {
            return Task.FromResult(实际入组);
        }
    }
}
