﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Samples.BLL
{
    public interface IUserService
    {
        bool Exists(long userId);
        UserIdentity Get(long userId);
    }

    public class UserService : IUserService
    {
        public bool Exists(long userId)
        {
            return userId > 100;
        }
        public UserIdentity Get(long userId)
        {
            return new UserIdentity { UserId = userId, Name = DateTime.Now.ToString() };
        }
    }

    public class UserIdentity
    {
        public long UserId { get; set; }
        public string Name { get; set; }
    }
}
